Skip to main content
`Ctrl`+`K`

# PetscLogMPEBegin

Turns on MPE logging of events. This creates large log files and slows the program down.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogMPEBegin(void)

Collective on `PETSC_COMM_WORLD`, No Fortran Support

## Options Database Key

- -log_mpe - Prints extensive log information

## Note

A related routine is `PetscLogDefaultBegin()` (with the options key `-log_view`), which is intended for production runs since it logs only flop rates and object creation (and should not significantly slow the programs).

## See Also

Profiling, `PetscLogDump()`, `PetscLogDefaultBegin()`, `PetscLogEventActivate()`, `PetscLogEventDeactivate()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages